// Utilisation des flots d'entree-sortie C++
#include <iostream>
// Utilisation de la classe LocalMap<T>
#include "ntoolsinit.h"
#include "localmap.h"

// Utilisation des generateurs aleatoires
#include "nbrandom.h"
#include "fitsioserver.h" 
#include "skymapinit.h"


int main()
{

  // ----- ATTENTION -------
  // Initialisation de Sophya
  // A faire au debut de main()
  SophyaInit();

  int nx=10;
  int ny=5;
  LocalMap cart(nx,ny);

  float tt=1.57;
  float ff=3.14;
  cart.SetOrigin(tt*1.5,tt,45.);
  cart.SetSize(60.,30.);
  for(int j=0; j<cart.NbPixels(); j++ ) {
    float theta,phi;
    cart.PixThetaPhi(j, theta,phi);
    int jsph=sph.PixIndexSph(theta, phi);
    cart(j)= (double)j;
  }
 
 
}
